Back to YouTube
Apify·YouTube

Pull YouTube Videos

/streamers/youtube-scraperasync$0.01 / result

YouTube crawler and video scraper. Alternative YouTube API with no limits or quotas. Extract and download channel name, likes, number of views, and number of subscribers. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • searchQueriesarray

    Enter search terms just like you would enter it in YouTube's search bar.

  • maxResultsinteger

    Limit the number of videos you want to crawl. If you scrape a channel, acts as a limit for regular videos. (default 0)

  • maxResultsShortsinteger

    Limit the number of Shorts videos you want to crawl. (default 0)

  • maxResultStreamsinteger

    Limit the number of Stream videos you want to crawl. (default 0)

  • startUrlsarray

    Enter a link to a YouTube video, channel, playlist, hashtag or search results page. You can also import a CSV file or Google Sheet with a list of URLs.Note: Input from Search term will be ignored when using this option. If you only want to scrape shorts/streams, set Maximum search results to 0, othe (default [])

  • downloadSubtitlesboolean

    If set to true, the scraper will download subtitles for the video and convert them to .srt format.

  • subtitlesLanguagestring

    Language to download subtitles in.Note: Download subtitles must be turned on for this option to work. (default "en")

    any, en, de, es, fr, it, ja, ko, …

  • subtitlesFormatstring

    Select in what format you want to download subtitles (default "srt")

    srt, vtt, xml, plaintext

  • sortingOrderstring

    Select Youtube sorting parameter for search

    relevance, rating, date, views

  • dateFilterstring

    Select Youtube upload date filter for search

    hour, today, week, month, year

  • videoTypestring

    Select Youtube video type filter for search

    video, movie

  • lengthFilterstring

    Select Youtube video length filter for search

    under4, between420, plus20

  • isHDboolean

    Will apply the HD filter for search

  • hasSubtitlesboolean

    Will apply the Subtitles/CC filter for search

  • hasCCboolean

    Will apply the Creative Commons filter for search

  • is3Dboolean

    Will apply the 3D filter for search

  • isLiveboolean

    Will apply the Live filter for search

  • isBoughtboolean

    Will apply the Purchased filter for search

  • is4Kboolean

    Will apply the 4K filter for search

  • is360boolean

    Will apply the 360 degrees filter for search

  • hasLocationboolean

    Will apply the Location filter for search

  • isHDRboolean

    Will apply the HDR filter for search

  • isVR180boolean

    Will apply the VR180 filter for search

  • oldestPostDatestring

    Only posts uploaded after or on this date will be scraped. Alternatively, specify how old the scraped videos should be in days. Putting 1 day will get you only today's posts, 2 days - yesterday's and today's, and so on. Note, that if you select this, sorting parameter will be auto-reset to NEWEST

  • sortVideosBystring

    Maps to the sorting buttons on the top of the channel's 'Videos', 'Shorts' and 'Live' pages.

    NEWEST, POPULAR, OLDEST

  • aiVideoDescriptionboolean

    If enabled, uses AI to generate a time-segmented description of the video, covering both visual and audio content for each segment. (default false)

  • aiVideoSummaryboolean

    If enabled, uses AI to generate a concise conceptual summary of the video covering both visual and audio content. (default false)

  • saveSubsToKVSboolean

    If set to true, the scraper will save the downloaded subtitles to the key-value store. Note: Download subtitles must be turned on for this option to work.

  • preferAutoGeneratedSubtitlesboolean

    If set to true, automatically generated subtitles are preferred to user subtitles. Note: A subtitle language must be selected and download subtitles must be turned on for this option to work.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/streamers/youtube-scraper","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.